<?php
// Get form helper instance
$helperInstance = ObjectFactory::createObjectByConfiguredName('web_form_helper', array($this, 'shipsimu_goverment_startup'));

// Prefetch user instance
$helperInstance->prefetchValueInstance('user');

// Add main form group
$helperInstance->addFormNote('reality_warning', "WARNUNG: Bitte dieses Formular nicht mit echten Angaben ausf&uuml;llen! (Die Profildaten sollte jedoch echt sein.)");

// Add group for personal data
$helperInstance->addFormGroup('persona_data', "Deine pers&ouml;nliche Daten, die f&uuml;r die Beantragung n&ouml;tig sind:");

// Display email, surname and family name
$helperInstance->addFormNote('surname', "Vorname: <span class=\"persona_data\">".$helperInstance->getValueField('surname')."</span>");
$helperInstance->addFormNote('family', "Nachname: <span class=\"persona_data\">".$helperInstance->getValueField('family')."</span>");
$helperInstance->addFormNote('email', "Email-Adresse: <span class=\"persona_data\">".$helperInstance->getValueField('email')."</span>");
$helperInstance->addFormNote('birthday', "Geburtstag: <span class=\"persona_data\">".(int)$helperInstance->getValueField('birth_day').".".(int)$helperInstance->getValueField('birth_month').".".(int)$helperInstance->getValueField('birth_year')."</span>");

// Add link placeholder for profile page
$helperInstance->addFormNote('profile', "Stimmen die Daten noch? {?shipsimu_profile_link?}");

// CAPTCHA enabled?
if ($helperInstance->ifFormSecuredWithCaptcha()) {
	$helperInstance->addFormGroup('captcha_user', "Die virtuelle Beantragung von Starthilfe ist durch ein CAPTCHA gesch&uuml;tzt. Bitte wiederhole den angezeigten Code, damit du die Starthilfe beantragen kannst.");
	$helperInstance->addCaptcha();
} // END - if

// Ask again for current account password
$helperInstance->addFormGroup('password', "Bitte gebe zur Best&auml;tigung dein derzeitiges Passwort ein.");
$helperInstance->addFieldText('password', "Derzeitiges Passwort:");
$helperInstance->addInputPasswordField('password');

// Final notices
$helperInstance->addFormGroup('buttons', "Sind alle Daten nun korrekt eingegeben? Dann sende sie mit einem Klick einfach ab!");
$helperInstance->addInputResetButton("Alles nochmal eingeben");
$helperInstance->addInputSubmitButton("Starthilfe beantragen");
$helperInstance->addFormNote('data_protection', "Deine Daten werden nach den g&uuml;ltigen Datenschutzgesetzten gespeichert und werden nicht an Dritte weitergegeben. Weiteres dazu siehe Link &quot;Datenschutz&quot;.");

// Flush the finished form
$helperInstance->flushContent();

// Get link helper for profile link
$linkInstance = ObjectFactory::createObjectByConfiguredName('web_link_helper', array($this, 'shipsimu_profile_link', 'index.php?app={?app_short_name?}&amp;page=login_area'));

// Add action
$linkInstance->addActionLinkById('profile', 'goto_profile_link');

// Flush the finished form
$linkInstance->flushContent();

// [EOC]
?>
<div id="goverment_frame">
	<div id="goverment_header">
		Virtuelle Beantragung von Starthilfe
	</div>

	<div id="goverment_form">
		{?shipsimu_goverment_startup?}
	</div>
</div>
